# What to read next

[latest-hackfest]: https://osm.etsi.org/wikipub/index.php/8th_OSM_Hackfest#Hackfest_Material
[developer-guide]: https://osm.etsi.org/docs/developer-guide/

If you want to learn more, these additional contents are highly recommended:

- **[VNF Onboarding Guide](https://osm.etsi.org/docs/vnf-onboarding-guidelines).** This guide includes all that you might need to onboard your VNF or applications in OSM.
- **[OSM Developer Guide][developer-guide].** If you want to contribute to OSM development, it is highly recommended reading this guide first.
- **[Contents from latest edition of OSM Hackfest][latest-hackfest].**
- **Sample VNF Packages.** This page is under elaboration, but you can find relevant contents in these locations:
  - **[Examples from OSM Hackfests][latest-hackfest]**
  - **[Analysis of some Hackfest VNFs](https://osm.etsi.org/wikipub/index.php/Examples_from_OSM_Hackfests)**
  - **[ANNEX 6: Tests to validate VIM capabilities from OSM](14-tests-for-vim-validation.md)**
- [OSM Workshops and Webinars](https://osm.etsi.org/wikipub/index.php/OSM_workshops_and_events)
- [Release notes and white papers](https://osm.etsi.org/wikipub/index.php/Release_notes_and_whitepapers)
